Foreman - Bug #24257

command "foreman-rake reports:expire" does not delete reports
07/16/2018 08:23 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulén
Category: Organizations and Locations
Target version: 1.18.1
Difficulty: Fixed in Releases: 1.18.1, 1.19.0
Triaged: No Found in Releases:
Bugzilla link: 1600450 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5839,
https://github.com/theforeman/foreman/p
ull/5845
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1600450

The reports:expire doesn't work for ArfReport
1. foreman-rake reports:expire days=0 report_type="ForemanOpenscap::ArfReport"

It produced a log

D, [2018-06-18T15:39:52.098271 #6509] DEBUG -- : SQL (0.3ms) DELETE FROM "reports" WHERE "reports"."type" IN
('ForemanOpenscap::ArfReport’) AND (1=0) AND (reports.created_at < '2018-06-18 10:09:52")
I, [2018-06-18T15:39:52.098582 #6509] INFO -- : 2018-06-18 10:09:52 UTC: Expired 0 Foreman openscap/arf reports

The above query has condition --> AND (1=0)
Workaround:

diff --git a/lib/tasks/reports.rake b/lib/tasks/reports.rake
index fb4400d..e2b7cc2 100644

-—— a/lib/tasks/reports.rake

+++ b/lib/tasks/reports.rake

@@ -30,8 +30,9 @@ namespace :reports do

conditions = {}
conditions[:timerange] = ENV|['days'].to_i.days if ENV['days']
conditions[:status] = ENV['status'].to_1 if ENV['status']

= report_type.expire (conditions)

+ User.as_anonymous_admin do
+ report_type.expire (conditions)
+ end
end
end

Related issues:
Related to Foreman - Feature #23040: Anonymize Audit logs
Related to Foreman - Bug #23623: Break report expiration into batches

Closed
Closed
05/17/2018

Associated revisions

Revision 109836d4 - 07/16/2018 10:17 AM - Marek Hulan

Fixes #24257 - load all reports and audits in tasks

History

05/18/2024
#1 - 07/16/2018 08:24 AM - Marek Hulan

- Subject changed from command "foreman-rake reports:expire" does not delete reports
to command "foreman-rake reports:expire" does not delete reports

- Description updated

#2 - 07/16/2018 08:28 AM - Marek Hulan
- Project changed from OpenSCAP to Foreman

- Category set to Organizations and Locations

in fact the clean script is in core, it does not take into account that other report types can be taxable. And as part of that, | checked our audits task
which has the same flaw.

#3 - 07/16/2018 08:29 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Marek Hulan

- Pull request https://github.com/theforeman/foreman/pull/5839 added

#4 - 07/16/2018 08:30 AM - Marek Hulan

- Target version setto 1.18.1

| think this could be a good candidate for 1.18.1, mainly because of audits. The anonymization task was introduced in 1.18.0 by #23040

#5 - 07/16/2018 08:31 AM - Marek Hulan
- Related to Feature #23040: Anonymize Audit logs added

#6 - 07/16/2018 10:18 AM - Daniel Lobato Garcia
- Fixed in Releases 1.19.0 added

#7 - 07/16/2018 11:01 AM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 109836d4b0ae34f3eba089602d9bfe4a890223cb.

#8 - 07/17/2018 11:25 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/5845 added

#9 - 07/22/2018 11:37 AM - Tomer Brisker
- Fixed in Releases 1.18.1 added

#10 - 09/25/2018 09:35 AM - Lukas Zapletal
- Related to Bug #23623: Break report expiration into batches added
